A purely declarative type. This object has no additional properties.

### Hierarchy

- View
  - GpsReading

## Index

### Properties

- alias
- defaultActionId
- id
- menu
- name
- title
- type

### Methods

- findMenuAt
- findTitle

## Properties

### alias

alias: string

Inherited from View.alias

- Defined in models/View.ts:12

### defaultActionId

defaultActionId: string

Inherited from View.defaultActionId

- Defined in models/View.ts:13

### id

id: string

Inherited from View.id

- Defined in models/View.ts:14

### menu

menu: Menu

Inherited from View.menu

- Defined in models/View.ts:16

### name

name: string

Inherited from View.name

- Defined in models/View.ts:15

### title

title: string

Inherited from View.title

- Defined in models/View.ts:17

### type

type: ViewType

Inherited from View.type

- Defined in models/View.ts:18

## Methods

### findMenuAt

- findMenuAt(actionId: string): Menu

- Inherited from View.findMenuAt

  - Defined in models/View.ts:49

  Find a menu def on this View with the given actionId

  #### Parameters

  - ##### actionId: string

  #### Returns Menu

### findTitle

- findTitle(): string

- Inherited from View.findTitle

  - Defined in models/View.ts:34

  Find the title for this Pane

  #### Returns string

Generated using TypeDoc